Subject: bug#40496: cannot install bootloader

From: Arne Babenhauserheide <[email-masked]>
Date: Thu, 09 Apr 2020 00:18:49 +0200

Arne Babenhauserheide <[email-masked]> writes:

>> I mean in the firmware boot menu.  The way UEFI works is that
>> bootloaders update the firmware directly with a name, EFI System
>> Partition, and executable (most likely "/EFI/Guix/grubx64.efi").
>
> Ah, I did not know that. Thank you!
>
>> This also requires booting in "EFI mode" so that /sys/firmware/efi is
>> present.  The live USB image supports EFI, but you may need to disable
>> "legacy boot" to make it boot in EFI mode.
>
> I’ll try that.

It worked. I’m still a bit unbelieving. I booted with CSM (compatibility
mode) disabled, then ran guix system reconfigure /etc/config.scm and
after the next reboot I could boot without the boot f̶l̶o̶p̶p̶y̶ USB stick.

Thank you very, very much!

Now I’ll just have to figure out what I do with my new M2-spare :-)

Best wishes,
Arne
--
Unpolitisch sein
heißt politisch sein
ohne es zu merken